# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/gedit/gedit-2.8.0.ebuild,v 1.4 2004/11/12 03:10:02 gustavoz Exp $

inherit eutils

SRC_URI="ftp://oss.sgi.com/projects/inventor/download/inventor-2.1.5-10.src.tar.gz"

DESCRIPTION="Ivcat Program compiled with SoXt (no support from SGI)"
HOMEPAGE="http://oss.sgi.com/projects/inventor/"


LICENSE="GPL-2"
KEYWORDS="~x86"
IUSE=""

RDEPEND=""

DEPEND="${RDEPEND}
        >=app-sci/SoXt-1.2.2"

src_compile() {

	cd ${WORKDIR}/inventor/apps/tools/ivcat/
	cp ivcat.c++ ivcat.cpp
	soxt-config --build ivcat ivcat.cpp || die
}

src_install() {
	exeinto /usr/bin
	doexe ${WORKDIR}/inventor/apps/tools/ivcat/ivcat || die
}
