# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/gedit/gedit-2.8.0.ebuild,v 1.4 2004/11/12 03:10:02 gustavoz Exp $

inherit eutils

SRC_URI="ftp://ftp.coin3d.org/pub/coin/src/${P}.tar.gz"

DESCRIPTION="Alternative to SGIs InventorXt library"
HOMEPAGE="http://www.coin3d.org/"


LICENSE="GPL-2"
KEYWORDS="~x86"
IUSE=""

RDEPEND=""

DEPEND="${RDEPEND}
	app-doc/doxygen
	coin  ( >=media-libs/coin-2.1.0 )
	x11-libs/openmotif
	virtual/x11
	virtual/opengl"

src_compile() {

	econf \
		--enable-html \
		--enable-man \
		--enable-html-help || die
	
	emake all-recursive || die
}

src_install() {

	make DESTDIR=${D} install || die
}
