# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/gedit/gedit-2.8.0.ebuild,v 1.4 2004/11/12 03:10:02 gustavoz Exp $

inherit eutils

SRC_URI="ftp://oss.sgi.com/projects/inventor/download/inventor-2.1.5-10.src.tar.gz"

DESCRIPTION="Ivview Program compiled with SoXt (no support from SGI)"
HOMEPAGE="http://oss.sgi.com/projects/inventor/"


LICENSE="GPL-2"
KEYWORDS="~x86"
IUSE=""

RDEPEND=""

DEPEND="${RDEPEND}
        >=app-sci/SoXt-1.2.2"

src_compile() {

	cd ${WORKDIR}/inventor/apps/tools/ivview/
	cp ivview.c++ ivview.cpp
	patch -p0 < /usr/portage/distfiles/patch.ivview ivview.cpp || die
	soxt-config --build ivview ivview.cpp || die
}

src_install() {
	exeinto /usr/bin || die
	doexe ${WORKDIR}/inventor/apps/tools/ivview/ivview || die
}
